- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Protected Member Functions | Friends

# QTextBlockGroup Class Reference

Search for all occurrences

## Detailed Description

Definition at line 93 of file qtextobject.h.

`#include <qtextobject.h>`

Inheritance diagram for QTextBlockGroup:
[legend]

List of all members.

## Protected Member Functions
| QTextBlockGroup (QTextDocument *doc)
| ~QTextBlockGroup ()
virtual void | blockInserted (const QTextBlock &block)
virtual void | blockRemoved (const QTextBlock &block)
virtual void | blockFormatChanged (const QTextBlock &block)
QList< QTextBlock > | blockList () const
| QTextBlockGroup (QTextBlockGroupPrivate &p, QTextDocument *doc)
## Friends
class | QTextDocumentPrivate

## Constructor & Destructor Documentation

QTextBlockGroup | ( | QTextDocument * | doc | ) | `[explicit, protected]`

~QTextBlockGroup | ( |  | ) | `[protected]`

QTextBlockGroup | ( | QTextBlockGroupPrivate & | p,
|  | QTextDocument * | doc
| ) |  | `[protected]`

## Member Function Documentation

virtual void blockInserted | ( | const QTextBlock & | block | ) | `[protected, virtual]`

Search for all occurrences

virtual void blockRemoved | ( | const QTextBlock & | block | ) | `[protected, virtual]`

Search for all occurrences

virtual void blockFormatChanged | ( | const QTextBlock & | block | ) | `[protected, virtual]`

Search for all occurrences

QList<QTextBlock> blockList | ( |  | ) | const `[protected]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QTextDocumentPrivate `[friend]`

Search for all occurrences

Reimplemented from QTextObject.

Definition at line 112 of file qtextobject.h.

The documentation for this class was generated from the following file:

- QtGui/qtextobject.h

QTextBlockGroup QTextBlockGroup QTextBlockGroup QTextBlockGroup QTextBlockGroup QTextBlockGroup QTextBlockGroup QTextBlockGroup QTextBlockGroup QTextBlockGroup
QTextBlockGroup QTextBlockGroup QTextBlockGroup QTextBlockGroup QTextBlockGroup QTextBlockGroup QTextBlockGroup QTextBlockGroup QTextBlockGroup QTextBlockGroup